Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class Assert

    java.lang.Object
      calhoun.util.Assert

    public final class Assert

extends java.lang.Object

Assertion class. Like Java assert except it can't be shut off. Assert.a(condition) or Assert.a(condition, msg) Some take multiple objects. The advantage is that the string is only concatenated if the assert is fired.

Method Summary
`static void` | `a(boolean bool)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Object obj8)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Object obj8, java.lang.Object obj9)`
`static void` | `a(boolean bool, java.lang.Object obj1, java.lang.Object obj2, java.lang.Object obj3, java.lang.Object obj4, java.lang.Object obj5, java.lang.Object obj6, java.lang.Object obj7, java.lang.Object obj8, java.lang.Object obj9, java.lang.Object obj10)`
`static void` | `a(boolean bool, java.lang.String message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### a

    public static final void a(boolean bool)

### a

    public static final void a(boolean bool,
                               java.lang.String message)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5,
                               java.lang.Object obj6)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5,
                               java.lang.Object obj6,
                               java.lang.Object obj7)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5,
                               java.lang.Object obj6,
                               java.lang.Object obj7,
                               java.lang.Object obj8)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5,
                               java.lang.Object obj6,
                               java.lang.Object obj7,
                               java.lang.Object obj8,
                               java.lang.Object obj9)

### a

    public static final void a(boolean bool,
                               java.lang.Object obj1,
                               java.lang.Object obj2,
                               java.lang.Object obj3,
                               java.lang.Object obj4,
                               java.lang.Object obj5,
                               java.lang.Object obj6,
                               java.lang.Object obj7,
                               java.lang.Object obj8,
                               java.lang.Object obj9,
                               java.lang.Object obj10)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD